
From: Christoph Lameter <clameter@sgi.com>

Quiet mmtimer on non-SGI boxes (previously it printed "mmtimer: unable to
determine clock frequency").

Signed-off-by: Bjorn Helgaas <bjorn.helgaas@hp.com>
Signed-off-by: Christoph Lameter <clameter@sgi.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/mmtimer.c |    3 +++
 1 files changed, 3 insertions(+)

diff -puN drivers/char/mmtimer.c~mmtimer-quietness drivers/char/mmtimer.c
--- 25/drivers/char/mmtimer.c~mmtimer-quietness	Thu Sep 23 15:04:21 2004
+++ 25-akpm/drivers/char/mmtimer.c	Thu Sep 23 15:04:44 2004
@@ -184,6 +184,9 @@ static struct miscdevice mmtimer_miscdev
  */
 static int __init mmtimer_init(void)
 {
+	if (!ia64_platform_is("sn2"))
+		return -1;
+
 	/*
 	 * Sanity check the cycles/sec variable
 	 */
_
